## org.jfree.data.xy
Class XYIntervalDataItem

    java.lang.Object
      org.jfree.data.ComparableObjectItem
          org.jfree.data.xy.XYIntervalDataItem

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

    public class XYIntervalDataItem

extends ComparableObjectItem

An item representing data in the form (x, x-low, x-high, y, y-low, y-high).

Since:
  1.0.3
See Also:
  Serialized Form

Constructor Summary
`XYIntervalDataItem(double x, double xLow, double xHigh, double y, double yLow, double yHigh)` Creates a new instance of `XYIntervalItem`.

Method Summary
`java.lang.Double` `getX()` Returns the x-value.
`double` `getXHighValue()` Returns the upper bound of the x-interval.
`double` `getXLowValue()` Returns the lower bound of the x-interval.
`double` `getYHighValue()` Returns the upper bound of the y-interval.
`double` `getYLowValue()` Returns the lower bound of the y-interval.
`double` `getYValue()` Returns the y-value.

Methods inherited from class org.jfree.data.ComparableObjectItem
`clone, compareTo, equals, getComparable, getObject, hashCode, setObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XYIntervalDataItem

    public XYIntervalDataItem(double x,
                              double xLow,
                              double xHigh,
                              double y,
                              double yLow,
                              double yHigh)

  Creates a new instance of `XYIntervalItem`.

  Parameters:
    `x` - the x-value.
    `xLow` - the lower bound of the x-interval.
    `xHigh` - the upper bound of the x-interval.
    `y` - the y-value.
    `yLow` - the lower bound of the y-interval.
    `yHigh` - the upper bound of the y-interval.

Method Detail

### getX

    public java.lang.Double getX()

  Returns the x-value.

  Returns:
    The x-value (never `null`).

### getYValue

    public double getYValue()

  Returns the y-value.

  Returns:
    The y-value.

### getXLowValue

    public double getXLowValue()

  Returns the lower bound of the x-interval.

  Returns:
    The lower bound of the x-interval.

### getXHighValue

    public double getXHighValue()

  Returns the upper bound of the x-interval.

  Returns:
    The upper bound of the x-interval.

### getYLowValue

    public double getYLowValue()

  Returns the lower bound of the y-interval.

  Returns:
    The lower bound of the y-interval.

### getYHighValue

    public double getYHighValue()

  Returns the upper bound of the y-interval.

  Returns:
    The upper bound of the y-interval.